### Welcome!
This vault has been created so that newcomers don't have to feel lost when using obsidian.

- Privacy/Security disclaimer
	- You should be aware that no one can see the entire codebase of obsidian, so no one is actually 100% sure that it doesn't do shady stuff. Though it's very popular (millions of downloads) and has a good reputation, it's unlikely that it break your privacy or security.
	- You can use obsidian offline and even block its ability to connect to the internet.
	- Beware of plugins because some of them might be malicious. The ones I gave you are relatively popular so likely not malicious. I think that most of them are open source, so programmers can see what they *actually* do with obsidian or your computer.
	- my tip is to put really personal info in other places, but if you are paranoid like me, maybe write them until you understand more about the digital world.

**Click the cyan dots or titles to expand them and see what's inside**
you can quickly adjust the zoom with `ctrl +  - or +`

### Some tips for the noobies
- Really basic stuff
	- `Ctrl and - or +`  to enlarge or diminish screen size. 
	- You can modify the font size from Settings/Appearance/Font size
	- Notes that are non-existing will be [[like this]]
		- Click on the non-existing note and you'll create one with the same title.
	- Linking notes
		- Write [[]] and choose the note you want to link
		- E.g. - That's a link to [[Home]]
- You don't need to write titles, use lists instead
	- Warning: the outline won't work using only lists
	- 
	- Titles take space and time. Not very practical, even if stylish
		- you need to write a specific amount of ### to get the right behavior or style
		- some titles are just too big compared to lists
		- # Like this
		- ### or this
		- A normal list
	- Lists instead...
		- separate close paragraphs
		- organize without taking much space
			- remember to never have more than 4 items when making lists so you'll remember and organize stuff better
		- has a minimal style
- How to organize your notes
	- There are folders and #tags, but you don't need them, now
		- They can confuse you and make you lose time, especially when you don't have many notes
		- So how can I stay organized without folders or tags?
			- Just remember the name of the note and search it with `ctrl + p`, or create notes only to categorize other notes.
			- You might create a note called [[Languages]] and put only links to other languages like [[English]] etc. 
			- You can even put [[Languages]] in [[Home]] so that you won't forget about the whole category (even though it's hard by itself). 
			- Like this, you won't forget about any languages because there is always the [[Language]] note that categorizes them. Use this concept to organize your vault or notes, this is great by itself for starters, and I still use this method with 300+ notes
		- Use the best method *for you* and that solves *your* problems, but the one above is one of the best ones
	- The graph is cool 
		- but don't think to make it cooler making or deleting connections. When you have many notes you won't look at them so much without filters
	- Make connections when needed
		- If you are studying a topic like [[Minimalism]] that relates to [[Mental Health]] and it's important to make a connection, do it.
		- You can see the connections you made by looking at the right panel with `alt + g`. The links section is on the top, where you can find...
			- Backlinks - notes that mention the current note
			- Outgoing links - any note that has been mentioned from the current note
		- You can mention stuff [[like this]], really simple
	- One of the best use cases - brain dumping
		- I always have a note called [[Note]] open 24/7 so that I can write great ideas that I'll check for later. It can get messy, but just get used to note great ideas.
- Graph filters
	- path:-Other/Templates path:-Other/no-graph
		- removes any note under the path `Other/Templates`
		- notice that there is a `-`, it means "remove these notes" 
		- If you were to write `path:Other/Templates`, it would show only the notes under Templates.
-
- Don't go crazy on customizing obsidian
	- even if you can it doesn't mean you should.
	- as long as it solves *your* problems, you don't need to use any framework like Zettelkasten, para method, or whatever. There are people [using it for D&D](https://youtu.be/3pt6_srUZ7U?t=120) so it's **very** flexible. [Cool stuff](https://youtu.be/3pt6_srUZ7U?t=362).
	- Obsidian is used to assist your work and life, it is not your life and neither is your work by itself.

### Basic styling
The stylings are made through symbols. You won't see the symbols until you hover over the specific text that uses them. 

Here are some examples:

- **Bold** *Italic* `code`

==Highlighted==

> Very intelligent quote

- [x] I made sure not to fall into this rabbit hole
- [x] I still fell into the same rabbit hole
- [ ] I regret it

- [Link that makes you become a billionaire when you click there](https://www.youtube.com/watch?v=xvFZjo5PgG0&pp=ygUObm8gYWQgcmlja3JvbGw%3D)

- ##### Small header with list at the start

---
- Now I will show you the fancy stuff you probably won't use
---

~~I'm a very very very good boy~~

\\\\\\\Hidden thingy, select me

> [!Danger]
> 	That's a callout. Great looking but maybe not really useful

> [!Note]
> 	There are more of them, but I don't like them so I won't show them all :P

For more specific stuff see [Obsidian Flavored Markdown](https://help.obsidian.md/Editing+and+formatting/Obsidian+Flavored+Markdown)

---
---
---

1. Obsidian is minimalistic by design, but you can go crazy adding some styling plugins.
2. I think that styling the notes is not very useful, and takes too much time, but you can choose your poison I guess.

- Potential beauty of this software:
	![[Pasted image 20240216223425.png]]
	![[Pasted image 20240216232802.png]]
	There are many themes and ways to use obsidian. You can even customize the CSS yourself.

### This vault adds:
- Hotkeys
	- Search bars
		- **ctrl + p     - open files**
		- alt + p       - search in the current file
		- ctrl + alt + p       - open command line
		- ctrl + e          - search in all files
	- Words
		- alt + a        - create note
		- alt + top/bottom arrow     - move line up/down
		- ctrl + alt + top/bottom arrow        - clone line up/down
	- Tabs
		- alt + s                     - close current tab
		- alt + shift + s          - reopen last closed tab
		- alt + z/x                                - go to right/left tab
		- alt + q/w              - navigate forward/backwards
	- Layout
		- alt + d/g         - open left/right panel
	- Basic
		- hold ctrl when opening stuff to open them in a new tab
		- ctrl/alt + left/rigth arrow       - skip single words/sentences
		- windows + v          - old copy pastes
		- shift + tab            - indent to the left
		- shift + ctrl + z                 - opposite of ctrl + z
	- Other
		- `ctrl + m`         - move the current file to another location
	- And many more I forgot to include.
- Plugins (with settings I made for you)
	- Legend
		- I = Install link
		- h = home (github page)
	-
	- Close Similar Tabs - [i](https://obsidian.md/plugins?id=close-similar-tabs) - [h](https://github.com/1C0D/Obsidian-Close-Similar-Tabs)
		- Automatically closes duplicated tabs
	- Hotkeys++ - [i](https://obsidian.md/plugins?id=hotkeysplus-obsidian) - [h](https://github.com/argenos/hotkeysplus-obsidian)
		- adds `ctrl+up/down arrows` to clone the current line up/down
	- Paste URL into selection - [i](https://obsidian.md/plugins?id=url-into-selection) - [h](https://github.com/denolehov/obsidian-url-into-selection)
		- When you *select a text* and click *ctrl+v* the plugin will wrap the text into "[]" and adds "(whateverYouPasted)" right after
		- e.g - lofi
			That's an example, and I like [lofi](https://www.youtube.com/watch?v=q1pBwQl6zZ0)
	- Better word count - [i](https://obsidian.md/plugins?id=better-word-count) - [h](https://github.com/lukeleppan/better-word-count)
		- select a block of text and this plugin will show some properties about it in the right bottom of your screen
		- E.g. - number of words & characters (configurable)
	-
	- Templater - [i](https://obsidian.md/plugins?id=templater-obsidian) - [h](https://github.com/SilentVoid13/Templater)
		- Used for letting obsidian do the magic when doing `alt + r` in a fresh template file
	- Periodic Notes - [i](https://obsidian.md/plugins?id=periodic-notes) - [h](https://github.com/liamcain/obsidian-periodic-notes)
		- To easily navigate and create your periodical revisions
		- settings: [[data.json]]
	- Excalidraw - [i](https://obsidian.md/plugins?id=obsidian-excalidraw-plugin) - [h](https://github.com/zsviczian/obsidian-excalidraw-plugin) TO BE MODIFIED
		- To make drawings
		- settings: [[📂Archivio/Altro/Media/data.json]]
	- Optional
		- Editor Syntax Highlight - [i](https://obsidian.md/plugins?id=cm-editor-syntax-highlight-obsidian) - [h](https://github.com/deathau/cm-editor-syntax-highlight-obsidian)
			- To highlight code
- Settings (that I modified, there are probably others I forgot to list :P)
	- [[app.json]]
	- [[hotkeys.json]]
	- [[core-plugins.json]]
	- [[community-plugins.json]]
	- [[appearance.json]]
	- [[templates.json]]
	- themes/[[obsidianite.css]]
-
- Folders under the `Other` folder
	- `Attachments`
		- if you copy-paste a photo or any other media in obsidian it will go there
	- `no-graph` - notes in there won't show in the graph view
		- You can change this behavior by going to the graph view and editing the filters
	- `Templates` - the only folder where you can add templates
		- They won't show in the graph view because of a filter I added
	- `Revisions` folder
		- You can modify the templates as you please, but changing the folder  path of `Revisions` or `Other/Templates/Revisions` might break the plugin
		- Workflow
	- `Excalidraw` - new drawings go there
	- `Inbox` - new notes go there
		- Ctrl + alt + p
		- Write one of these: daily/weekly/monthly/yearly and choose an option from periodic notes
		- Press `alt + r` to fill the template and have fun
- Files on the / or the ones that are not in any folder
	- [[Brain dump]]
	- [[Home]]
	- [[Welcome]]

### Continue the guide
- Make sure that obsidian and its plugins are up-to date
	- Obsidian - Settings/General/Check for updates
		- ![[Pasted image 20240303120154.png]]
	- Community plugins - Settings/Community plugins/Check for updates
		- ![[Pasted image 20240303120220.png]]
- Go to [[Home]] 
### Other info from Ed
- Learn more (only if you really need/want to)
	- Great video just to get a quick overview of the whole culture behind this software -> [here](https://www.youtube.com/watch?v=dSkvbv7YFx0)
	- Ignore this stuff if you are a beginner
		- Awesome resources about obsidian -> [github readme](https://github.com/kmaasrud/awesome-obsidian?tab=readme-ov-file#table-of-contents)
		- Other [workflows](https://forum.obsidian.md/t/example-workflows-in-obsidian/1093) with a download to test them in obsidian
		- this guy can make you go crazy within 10 seconds or amazed in the same amount of time - [Nick Milo vid](https://youtu.be/Q2WBHyqRsxA). If you are not confused then congrats, I still struggle.
		- There is an official vault/website to help people understand obsidian better: [website](https://help.obsidian.md/Home). You might get lost though, that's why I made this section in the first place.
- How Ed uses Obsidian daily
	- The 3 notes that are always open and pinned
		- [[Brain dump]]
		- The daily note - made with...
			- ctrl + alt + p
			- Open daily note
			- ctrl + r
		- Learning resources
		- My personal HUB when I want to go deeper into a particular topic
			- ![[Pasted image 20240224184208.png]]
	- Workspaces
		- Sometimes there are too many tabs open and I need to open even more tabs because I want to study another topic. 
		- So I use workspaces. They save the currently open tabs under a name that you can select whenever you want to re-open them
		- open the command line and type "workspaces" to start using them
- Created on 02/Mar/2024 from [Ed](https://edondigital.netlify.app/)
	- ![[catdrawing22.png]]
	- ![[Pasted image 20240216214741.png]]

- Ed's graph images that you didn't ask for
	- ![[Pasted image 20240217002639.png]]
	- ![[Pasted image 20240217002702.png]]
- How I think about my notes - Tiers based on importance
	- that's made through the excalidraw plugin
	- ![[Pasted image 20240217003032.png]]
- The song I like to spam even when not appropriate: [After Dark](https://www.youtube.com/watch?v=jEcDeP8X6-s)
	- From the movie "Career Opportunities" made in 1991-03-29
		- Not the best storyline and I don't get the deeper meaning if there is one BUT maybe I was too distracted about the visuals.
		- In my opinion, the ambiance and feelings that this movie communicates through the imagery are just magnetic. You can't stop looking.

Take care!